#!./src/tests/lib/bats
# -*- shell-script -*-

srcdir="${BATS_PREFIX}/../.."
testbin="./src/tests/buildinfo"
verfile=${srcdir}/VERSION

@test "should return correct status code" {
    run "${testbin}"
    [ "${status}" -eq 0 ]
}

@test "should print build info" {
    run "${testbin}"

    got_release=$(echo "${output}" | cut -d \; -f 1)
    got_vcsid=$(echo "${output}" | cut -d \; -f 2)

    env 1>&2

    release=$(< "${verfile}")
    [ ${release} == "${got_release}" ]

    vcsid=$(git rev-parse --short HEAD 2>/dev/null || true)
    [ x"${vcsid}" == x"${got_vcsid}" ]
}
